Package weka.gui.treevisualizer

# Class Edge

java.lang.Object
weka.gui.treevisualizer.Edge

public class Edge extends Object
This class is used in conjunction with the Node class to form a tree structure. This in particular contains information about an edges in the tree.

Version:
  $Revision: 10222 $
Author:
  Malcolm Ware (mfw4@cs.waikato.ac.nz)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Edge(String label, String source, String target)`
  This constructs an Edge with the specified label and parent , child serial tags.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLabel()`
  Get the value of label.
  `String`
  `getLine(int n)`
  Returns line number n
  `String`
  `getRsource()`
  Get the value of rsource.
  `String`
  `getRtarget()`
  Get the value of rtarget.
  `Node`
  `getSource()`
  Get the value of source.
  `Node`
  `getTarget()`
  Get the value of target.
  `void`
  `setRsource(String v)`
  Set the value of rsource.
  `void`
  `setRtarget(String v)`
  Set the value of rtarget.
  `void`
  `setSource(Node v)`
  Set the value of source.
  `void`
  `setTarget(Node v)`
  Set the value of target.
  `Dimension`
  `stringSize(FontMetrics f)`
  This will calculate how large a rectangle using the FontMetrics passed that the lines of the label will take up

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Edge

    public Edge(String label, String source, String target)
    This constructs an Edge with the specified label and parent , child serial tags.
    Parameters:
      `label` - The text caption for the edge.
      `source` - The ID string for this edges parent.
      `target` - The ID string for this edges child.

- ## Method Details

  - ### getLabel

    public String getLabel()
    Get the value of label.
    Returns:
      Value of label.

  - ### stringSize

    public Dimension stringSize(FontMetrics f)
    This will calculate how large a rectangle using the FontMetrics passed that the lines of the label will take up
    Parameters:
      `f` - The size information for a particular Font
    Returns:
      A Dimension containing the size and width of the text

  - ### getLine

    public String getLine(int n)
    Returns line number n
    Parameters:
      `n` - The number of the line requested
    Returns:
      The string for the line number or NULL if it didn't exist

  - ### getRsource

    public String getRsource()
    Get the value of rsource.
    Returns:
      Value of rsource.

  - ### setRsource

    public void setRsource(String v)
    Set the value of rsource.
    Parameters:
      `v` - Value to assign to rsource.

  - ### getRtarget

    public String getRtarget()
    Get the value of rtarget.
    Returns:
      Value of rtarget.

  - ### setRtarget

    public void setRtarget(String v)
    Set the value of rtarget.
    Parameters:
      `v` - Value to assign to rtarget.

  - ### getSource

    public Node getSource()
    Get the value of source.
    Returns:
      Value of source.

  - ### setSource

    public void setSource(Node v)
    Set the value of source. And then call v.addChild to add the edge to the Node.
    Parameters:
      `v` - Value to assign to source.

  - ### getTarget

    public Node getTarget()
    Get the value of target.
    Returns:
      Value of target.

  - ### setTarget

    public void setTarget(Node v)
    Set the value of target. And then call v.addParent to add the edge to the Node.
    Parameters:
      `v` - Value to assign to target.